Package twisted :: Package scripts :: Module twistd :: Class ServerOptions

[frames | no frames]

## Class ServerOptions

     dict --+
            |
      Options --+
                |
    ServerOptions --+
                    |
                   ServerOptions

Method Summary
| ``opt_version`(self)` Print version information and exit.
Inherited from ServerOptions
| ``opt_spew`(self)` Print an insanely verbose log of everything that happens.
| ``parseOptions`(self, options)` The guts of the command-line parser.
Inherited from Options
| ``__init__`(self)`
| ``__hash__`(self)`
| ``__str__`(self, width)`
| ``_gather_flags`(self)` Gather up boolean (flag) options.
| ``_gather_handlers`(self)` Gather up options with their own handler methods.
| ``_gather_parameters`(self)` Gather options which take a value.
| ``_generic_flag`(self, flagName, value)`
| ``_generic_parameter`(self, parameterName, value)`
| ``getSynopsis`(self)`
| ``getUsage`(self, width)`
| ``opt_help`(self)` Display this help and exit.
| ``parseArgs`(self)` I am called with any leftover arguments which were not options.
| ``postOptions`(self)` I am called after the options are parsed.
Inherited from dict
| `__cmp__(...)`
| `__contains__(...)`
| `__delitem__(...)`
| `__eq__(...)`
| `__ge__(...)`
| `__getattribute__(...)`
| `__getitem__(...)`
| `__gt__(...)`
| `__iter__(...)`
| `__le__(...)`
| `__len__(...)`
| `__lt__(...)`
| `__ne__(...)`
| `__repr__(...)`
| `__setitem__(...)`
| `clear(...)`
| `copy(...)`
| `get(...)`
| `has_key(...)`
| `items(...)`
| `iteritems(...)`
| `iterkeys(...)`
| `itervalues(...)`
| `keys(...)`
| `popitem(...)`
| `setdefault(...)`
| `update(...)`
| `values(...)`
Inherited from object
| `__delattr__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`list` | `optFlags` = `[['nodaemon', 'n', "don't daemonize"], ['quie...`
`list` | `optParameters` = `[['prefix', None, 'twisted', 'use the gi...`
`str` | `synopsis` = `'Usage: twistd [options]'`
Inherited from Options
`NoneType` | `defaultSubCommand` = None
`NoneType` | `parent` = None
`NoneType` | `subCommand` = None

Method Details

### opt_version(self)

Print version information and exit.

  Overrides:
    `twisted.python.usage.Options.opt_version`

Class Variable Details

### optFlags

  Type:
    `list`
  Value:

        [['nodaemon', 'n', "don't daemonize"],
         ['quiet', 'q', 'No-op for backwards compatability.'],
         ['originalname', None, "Don't try to change the process name"],
         ['syslog', None, 'Log to syslog, not to file'],
         ['euid',
          '',
          'Set only effective user-id rather than real user-id. (This option h\
        as no effect unless the server is running as root, in which case it me\
        ...

### optParameters

  Type:
    `list`
  Value:

        [['prefix', None, 'twisted', 'use the given prefix when syslogging'],
         ['pidfile', '', 'twistd.pid', 'Name of the pidfile'],
         ['chroot', None, None, 'Chroot to a supplied directory before running\
        ']]

### synopsis

  Type:
    `str`
  Value:

        'Usage: twistd [options]'

Generated by Epydoc 2.0 on Wed Feb 25 07:37:35 2004 | http://epydoc.sf.net